Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 663916 (glibc-2.28)

Summary: [TRACKER] Issues with sys-libs/glibc-2.28 (directly and indirectly)
Product: Gentoo Linux Reporter: Sergei Trofimovich (RETIRED) <slyfox>
Component: Current packagesAssignee: Gentoo Toolchain Maintainers <toolchain>
Status: RESOLVED OBSOLETE    
Severity: normal CC: ab4bd, spiderx
Priority: Normal Keywords: Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://www.sourceware.org/ml/libc-alpha/2018-08/msg00003.html
See Also: https://bugs.gentoo.org/show_bug.cgi?id=674126
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 681790, 685096, 685564, 146882, 657404, 662776, 663242, 663924, 663928, 663930, 664750, 666134, 666202, 669206, 669330, 669332, 669334, 669336, 669338, 669452, 669560, 669594, 669606, 669676, 669686, 669694, 669742, 669846, 670781, 671856, 681718, 681904    
Bug Blocks:    

Description Sergei Trofimovich (RETIRED) gentoo-dev 2018-08-17 21:52:46 UTC
No talking in this bug.

Typical fixes are to be described at https://wiki.gentoo.org/wiki/Project:Toolchain#Porting_notes
Comment 1 Opportunist 2019-03-26 16:52:08 UTC
For Postgres databases using language and region-sensitive collations, which tend to be the default nowadays, it means that certain strings might sort differently after this upgrade. A critical consequence is that indexes that depend on such collations must be rebuilt immediately after the upgrade. Servers in WAL-based/streaming replication setups should also be upgraded together since a standby must run the same libc/locales as its primary.

https://postgresql.verite.pro/blog/2018/08/27/glibc-upgrade.html
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2020-03-23 21:27:27 UTC
2.28 is masked now, so closing.